<h2 *ngIf='type == "deposit"'>Deposit money in my account</h2>
<h2 *ngIf='type == "withdrawal"'>Make a withdrawal from my account</h2>

Amount: <input type='number' [(ngModel)]="amount" /><br/>

<button *ngIf='type == "deposit"' (click)='deposit()'>Deposit</button>
<button *ngIf='type == "withdrawal"' (click)='withdrawal()'>Withdrawal</button>

<p [ngStyle]="{'color': statusMessage.type == statusMessageTypeEnum.OK ? 'green' : 'red'}">{{statusMessage.msg}}</p>
